## open-vm-tools 12.3.5

=== debian/changelog ===
open-vm-tools (2:12.3.5-3~ubuntu0.22.04.3) jammy-security; urgency=medium

  * SECURITY UPDATE: local privilege escalation in Service Discovery Plugin
    - debian/patches/CVE-2025-41244.patch: disable by default the execution
      of the SDMP get-versions.sh script in
      open-vm-tools/services/plugins/serviceDiscovery/serviceDiscovery.c.
    - CVE-2025-41244

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 23 Sep 2025 12:05:34 -0400

open-vm-tools (2:12.3.5-3~ubuntu0.22.04.2) jammy-security; urgency=medium

  * SECURITY UPDATE: insecure file handling vulnerability
    - debian/patches/CVE-2025-22247.patch: properly check symlinks and path
      traversal chars in open-vm-tools/vgauth/common/VGAuthUtil.c,
      open-vm-tools/vgauth/common/VGAuthUtil.h,
      open-vm-tools/vgauth/common/prefs.h,
      open-vm-tools/vgauth/common/usercheck.c,
      open-vm-tools/vgauth/serviceImpl/alias.c,
      open-vm-tools/vgauth/serviceImpl/service.c,
      open-vm-tools/vgauth/serviceImpl/serviceInt.h.
    - CVE-2025-22247

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 06 May 2025 08:36:39 -0400

open-vm-tools (2:12.3.5-3~ubuntu0.22.04.1) jammy; urgency=medium

  * Backport recent open-vm-tools release v12.3.5
    (LP: #2028420)

 -- Bryce Harrington <bryce@canonical.com>  Tue, 05 Dec 2023 13:18:04 -0800

open-vm-tools (2:12.3.5-3) unstable; urgency=medium

  * [7699f7a] Fix typo in last upload

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 27 Nov 2023 16:29:44 +0100

open-vm-tools (2:12.3.5-2) unstable; urgency=medium

  * [80ed173] Disable arm cross-build
  * [61a0f4d] (Temporarily) build with diffoscope
  * [d929c44] Fix containerinfo plugin directory.
    Thanks to John Wolfe (Closes: #1056205)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 27 Nov 2023 15:50:13 +0100

open-vm-tools (2:12.3.5-1) unstable; urgency=high

  * [1b07bee] Remove api doc build dir with dh_clean.
    Thanks to Lucas Nussbaum (Closes: #1046018)
  * [de2e0ba] New upstream version 12.3.5 (Closes: #1054662)
    - New upstream release fixes two CVEs:
      CVE-2023-34059 CVE-2023-34058
      Closes: #1054666

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 28 Oct 2023 01:41:22 +0200

open-vm-tools (2:12.1.5-3~ubuntu0.22.04.4) jammy-security; urgency=medium

  * SECURITY UPDATE: SAML Bypass
    - debian/patches/CVE-2023-34058.patch: don't accept tokens with
      unrelated certs in open-vm-tools/vgauth/common/certverify.c,
      open-vm-tools/vgauth/common/certverify.h,
      open-vm-tools/vgauth/common/prefs.h,
      open-vm-tools/vgauth/serviceImpl/saml-xmlsec1.c.
    - CVE-2023-34058
  * SECURITY UPDATE: file descriptor hijack
    - debian/patches/CVE-2023-34059.patch: change privilege dropping order
      in  open-vm-tools/services/vmtoolsd/mainPosix.c,
      open-vm-tools/vmware-user-suid-wrapper/main.c.
    - CVE-2023-34059

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 27 Oct 2023 07:38:17 -0400

open-vm-tools (2:12.1.5-3~ubuntu0.22.04.3) jammy-security; urgency=medium

  * SECURITY UPDATE: SAML token signature bypass vulnerability
    - debian/patches/CVE-2023-20900.patch: Allow only X509 certs to verify
      the SAML token signature in
      open-vm-tools/vgauth/serviceImpl/saml-xmlsec1.c.
    - CVE-2023-20900

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 11 Sep 2023 14:45:55 -0400

open-vm-tools (2:12.1.5-3~ubuntu0.22.04.2) jammy-security; urgency=medium

  * SECURITY UPDATE: authentication bypass vulnerability
    - debian/patches/CVE-2023-20867.patch: Remove some dead code
    - CVE-2023-20867

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 25 Jul 2023 09:39:02 +0530

open-vm-tools (2:12.1.5-3~ubuntu0.22.04.1) jammy; urgency=medium

  * Backport recent open-vm-tools release v12.1.5
    (LP: #1998558)
  * d/control: Add libabsl-dev as explicit build-dependency.
    - (Closes #1032305)

 -- Bryce Harrington <bryce@canonical.com>  Thu, 16 Mar 2023 23:57:03 +0000

open-vm-tools (2:12.1.0-1~ubuntu0.22.04.1) jammy; urgency=medium

  * Backport recent open-vm-tools (LP: #1975767)
    - Fixes issue with "udevadm trigger" affecting all devices
      that can cause unwanted side-effects.
      (LP: #1968354)
    - Adds new binary open-vm-tools-containerinfo that installs the
      vRealize Container Info plugin, which captures and publishes
      information about running containers inside the guest.
    - Adds new binary open-vm-tools-salt-minion that installs the Salt
      Minion plugin for event driven IT automation, remote task execution,
      and configuration management.

 -- Bryce Harrington <bryce@canonical.com>  Mon, 19 Sep 2022 17:52:55 +0000
