## open-vm-tools 12.4.0

=== debian/changelog ===
open-vm-tools (2:12.4.0-1deepin1+rb1) unstable; urgency=medium

  * add vmware-user.desktop NoDisplay.

 -- LiChengGang <lichenggang@uniontech.com>  Thu, 23 May 2024 13:51:27 +0800

open-vm-tools (2:12.4.0-1) unstable; urgency=medium

  * [0ed4989] New upstream version 12.4.0
    (Closes: #1067693)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 03 Apr 2024 22:49:48 +0200

open-vm-tools (2:12.3.5-5) unstable; urgency=medium

  * [13558f9] postinst: deb-systemd-invoke doesn't have a -q switch.
    Remove it :)
    Thanks to Daniel Leidert (Closes: #1041771)
  * [e7e3fe6] Add build-dep: libtirpc-dev, rpcsvc-proto.
    Thanks to Aurelien Jarno (Closes: #1065187)
  * [788fa5c] CI: enable build on arm64

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 01 Mar 2024 18:11:06 +0100

open-vm-tools (2:12.3.5-4) unstable; urgency=medium

  * [ba9d610] Remove chmod line for udev rule.
    Makefile.am uses mode 0644 now.
    Thanks to Chris Hofstaedtler (Closes: #1057246)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 07 Dec 2023 15:55:33 +0100
