=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: open-vm-tools
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Maintainer: Bernd Zeimetz <bzed@debian.org>
 Uploaders: Christian Ehrhardt <christian.ehrhardt@canonical.com>
 Build-Depends:
  debhelper-compat (= 13), doxygen, libcunit1-dev,
@@ -23,6 +22,7 @@
  libgrpc++-dev, libabsl-dev,
  golang-github-containerd-containerd-dev,
  golang-github-gogo-protobuf-dev,
+ libtirpc-dev, rpcsvc-proto
 Standards-Version: 4.6.1
 Homepage: https://github.com/vmware/open-vm-tools
 Vcs-Git: https://salsa.debian.org/vmware-packaging-team/pkg-open-vm-tools.git
