## open-vm-tools 12.4.5

=== debian/changelog ===
open-vm-tools (2:12.4.5-1~ubuntu0.24.04.2) noble-security; urgency=medium

  * SECURITY UPDATE: insecure file handling vulnerability
    - debian/patches/CVE-2025-22247.patch: properly check symlinks and path
      traversal chars in open-vm-tools/vgauth/common/VGAuthUtil.c,
      open-vm-tools/vgauth/common/VGAuthUtil.h,
      open-vm-tools/vgauth/common/prefs.h,
      open-vm-tools/vgauth/common/usercheck.c,
      open-vm-tools/vgauth/serviceImpl/alias.c,
      open-vm-tools/vgauth/serviceImpl/service.c,
      open-vm-tools/vgauth/serviceImpl/serviceInt.h.
    - CVE-2025-22247

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 06 May 2025 08:22:56 -0400

open-vm-tools (2:12.4.5-1~ubuntu0.24.04.1) noble; urgency=medium

  * Backport recent open-vm-tools release v12.4.5 (LP: #2073317)
    - For changes included in this update, see:
      https://docs.vmware.com/en/VMware-Tools/12.4.0/rn/vmware-tools-1240-release-notes/index.html
      https://docs.vmware.com/en/VMware-Tools/12.4/rn/vmware-tools-1245-release-notes/index.html
  * d/control: Disable dh_movetousr helper to avoid disruption on noble.

 -- Bryce Harrington <bryce@canonical.com>  Tue, 23 Jul 2024 12:02:36 -0700

open-vm-tools (2:12.4.5-1) unstable; urgency=medium

  * [f971632] Remove vmxnet.hook.
    Not used/installed anymore since 2018. (Closes: #1074238)
  * [113ef20] Add dh-sequence-movetousr as Build-Dep (Closes: #1073673)
  * [86d484c] New upstream version 12.4.5 (Closes: #1074436)

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 12 Jul 2024 22:31:45 +0200

open-vm-tools (2:12.3.5-5build3) noble; urgency=high

  * No change rebuild against libgrpc++1.51t64, libgrpc29t64,
    libprotobuf32t64, libssl3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:46:49 +0200

open-vm-tools (2:12.3.5-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:23:37 +0000

open-vm-tools (2:12.3.5-5build1) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:48:48 +0000
