## open-vm-tools 12.5.0

=== debian/changelog ===
open-vm-tools (2:12.5.0-1ubuntu0.2) plucky-security; urgency=medium

  * SECURITY UPDATE: local privilege escalation in Service Discovery Plugin
    - debian/patches/CVE-2025-41244.patch: disable by default the execution
      of the SDMP get-versions.sh script in
      open-vm-tools/services/plugins/serviceDiscovery/serviceDiscovery.c.
    - CVE-2025-41244

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 23 Sep 2025 11:58:25 -0400

open-vm-tools (2:12.5.0-1ubuntu0.1) plucky-security; urgency=medium

  * SECURITY UPDATE: insecure file handling vulnerability
    - debian/patches/CVE-2025-22247.patch: properly check symlinks and path
      traversal chars in open-vm-tools/vgauth/common/VGAuthUtil.c,
      open-vm-tools/vgauth/common/VGAuthUtil.h,
      open-vm-tools/vgauth/common/prefs.h,
      open-vm-tools/vgauth/common/usercheck.c,
      open-vm-tools/vgauth/serviceImpl/alias.c,
      open-vm-tools/vgauth/serviceImpl/service.c,
      open-vm-tools/vgauth/serviceImpl/serviceInt.h.
    - CVE-2025-22247

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 06 May 2025 08:15:20 -0400

open-vm-tools (2:12.5.0-1) unstable; urgency=medium

  * Update to 12.5.0, full release notes can be found at
    https://github.com/vmware/open-vm-tools/blob/stable-12.5.0/ReleaseNotes.md
    - d/copyright: update to 12.5.0
    - d/copyright: add missing path element to fix superfluous-file-pattern
    - d/copyright: bsd files gone since 10.2.5
    - d/*.lintian-overrides: fix paths

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 07 Jan 2025 11:42:40 +0100
