=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: open-vm-tools
 Section: admin
 Priority: optional
-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
 Uploaders: Christian Ehrhardt <christian.ehrhardt@canonical.com>
 Build-Depends:
- debhelper-compat (= 13), doxygen, libcunit1-dev,
+ debhelper-compat (= 13), dh-sequence-movetousr,
+ doxygen, libcunit1-dev,
  libfuse3-dev, libgtkmm-3.0-dev, libgtk-3-dev,
  libicu-dev, libnotify-dev, libpam0g-dev, libx11-dev,
  libxinerama-dev, libxss-dev, libxtst-dev,
