=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,6 @@
 	# permissions
 	chmod 0644 debian/*/etc/pam.d/*
 	chmod 4755 debian/*/usr/bin/vmware-user-suid-wrapper
-	chmod 0644 debian/*/lib/udev/rules.d/99-vmware-scsi-udev.rules
 
 	install -D -m 0644 debian/local/xautostart.conf debian/open-vm-tools-desktop/etc/vmware-tools/xautostart.conf
 	install -D -m 0644 debian/local/tools.conf debian/open-vm-tools/etc/vmware-tools/tools.conf
