=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/stable-(\d\S+)\.tar\.gz/open-vm-tools-$1\.tar\.gz/ \
  https://github.com/vmware/open-vm-tools/tags .*/stable-(\d\S+)\.tar\.gz
