## open-vm-tools 13.0.0

=== debian/changelog ===
open-vm-tools (2:13.0.0-2~bpo12+1) bookworm-backports-sloppy; urgency=medium

  * Rebuild for bookworm-backports-sloppy.
  * Update debian/{.gitlab-ci.yml,gbp.conf} for bookworm-backports.
  * [522d414] Revert "Add dh-sequence-movetousr as Build-Dep"

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 29 Aug 2025 13:50:44 +0200

open-vm-tools (2:13.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 18 Aug 2025 10:49:22 +0200

open-vm-tools (2:13.0.0-1) experimental; urgency=medium

  * [6e2779c] Refreshing patches.
    Dropping patches applied upstream
  * [209b17e] Add libcrypt-dev to Build-Depends. (Closes: #1106954)
  * [2f26698] New upstream version 13.0.0

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 24 Jun 2025 18:06:37 +0200

open-vm-tools (2:12.5.0-2) unstable; urgency=high

  * [910f279] Fixing an insecure file handling vulnerability.
    It allowed a malicious actor with non-administrative privileges
    on a guest VM to tamper the local files to trigger insecure file
    operations within that VM.
    VMSA-2025-0007
    CVE-2025-22247 (Closes: #1105159)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 12 May 2025 15:17:50 +0200
