=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: open-vm-tools
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Maintainer: Bernd Zeimetz <bzed@debian.org>
 Uploaders: Christian Ehrhardt <christian.ehrhardt@canonical.com>
 Build-Depends:
- debhelper-compat (= 13), dh-sequence-movetousr,
- doxygen, libcunit1-dev,
+ debhelper-compat (= 13), doxygen, libcunit1-dev,
  libfuse3-dev, libgtkmm-3.0-dev, libgtk-3-dev,
  libicu-dev, libnotify-dev, libpam0g-dev, libx11-dev,
  libxinerama-dev, libxss-dev, libxtst-dev,
@@ -24,7 +22,8 @@
  libgrpc++-dev, libabsl-dev,
  golang-github-containerd-containerd-dev,
  golang-github-gogo-protobuf-dev,
- libtirpc-dev, rpcsvc-proto
+ libtirpc-dev, rpcsvc-proto,
+ libcrypt-dev
 Standards-Version: 4.6.1
 Homepage: https://github.com/vmware/open-vm-tools
 Vcs-Git: https://salsa.debian.org/vmware-packaging-team/pkg-open-vm-tools.git
