=== debian/changelog ===
open-vm-tools (2:13.0.5-1~bpo12+1) bookworm-backports-sloppy; urgency=medium

  * Rebuild for bookworm-backports-sloppy.
  * Update debian/{.gitlab-ci.yml,gbp.conf} for bookworm-backports.
  * [522d414] Revert "Add dh-sequence-movetousr as Build-Dep"

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 01 Oct 2025 00:09:47 +0200

open-vm-tools (2:13.0.5-1) unstable; urgency=high

  * [63d2ebe] Remove Build-dep on libgdk-pixbuf-xlib-2.0-dev.
    Thanks to Simon McVittie (Closes: #1112399)
  * [various commits] add a debdiff job to the gitlab ci
  * [9847515] New upstream version 13.0.5 (CVE-2025-41244)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 30 Sep 2025 20:10:06 +0200
