=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  libudev-dev,
  libdrm-dev,
  liblzma-dev,
- libgdk-pixbuf-xlib-2.0-dev,
  libcurl4-openssl-dev,
  protobuf-compiler,
  libprotobuf-dev,
