## open-vm-tools 13.0.10

=== debian/changelog ===
open-vm-tools (2:13.0.10-1build1) resolute; urgency=medium

  * No-change rebuild for abseil soname.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Feb 2026 12:56:16 +0100

open-vm-tools (2:13.0.10-1) unstable; urgency=medium

  * [b920ae7] New upstream version 13.0.10
    (Closes: #1126505)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 28 Jan 2026 10:49:51 +0100
